Bug 391336 - KMAIL-Settings: Clicking "Security" causes KMAIL to crash
Summary: KMAIL-Settings: Clicking "Security" causes KMAIL to crash
Status: RESOLVED DOWNSTREAM
Alias: None
Product: kmail2
Classification: Applications
Component: general (show other bugs)
Version: 5.5.2
Platform: OpenSUSE Linux
: NOR normal with 20 votes (vote)
Target Milestone: ---
Assignee: kdepim bugs
URL:
Keywords: drkonqi
: 391077 391119 391224 (view as bug list)
Depends on:
Blocks:
 
Reported: 2018-03-03 12:58 UTC by Dieter Fuchs
Modified: 2018-03-15 08:58 UTC (History)
6 users (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments
Backtrace (105.19 KB, text/plain)
2018-03-04 20:16 UTC, Dieter Fuchs
Details
Konsole output (2.33 KB, text/plain)
2018-03-04 20:17 UTC, Dieter Fuchs
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Dieter Fuchs 2018-03-03 12:58:23 UTC
Application: kmail (5.5.2)

Qt Version: 5.6.2
Frameworks Version: 5.32.0
Operating System: Linux 4.4.114-42-default x86_64
Distribution: "openSUSE Leap 42.3"

-- Information about the crash:
- What I was doing when the application crashed:
KMAIL crashed when klicking "Security" in the "Settings" dialog.
Verified several times on different machines.
System: openSuse Leap 42.3, standard installation with all updtates of March 3rd, 2018.

The crash can be reproduced every time.

-- Backtrace:
Application: KMail (kmail), signal: Segmentation fault
Using host libthread_db library "/lib64/libthread_db.so.1".
[Current thread is 1 (Thread 0x7f80537de940 (LWP 2926))]

Thread 30 (Thread 0x7f7ffa96a700 (LWP 3155)):
#0  0x00007f80466960ff in pthread_cond_wait@@GLIBC_2.3.2 () at /lib64/libpthread.so.0
#1  0x00007f80392f593b in  () at /usr/lib64/libQt5Script.so.5
#2  0x00007f80392f5969 in  () at /usr/lib64/libQt5Script.so.5
#3  0x00007f8046691724 in start_thread () at /lib64/libpthread.so.0
#4  0x00007f805091de8d in clone () at /lib64/libc.so.6

Thread 29 (Thread 0x7f7ffffbd700 (LWP 2989)):
#0  0x00007f80466960ff in pthread_cond_wait@@GLIBC_2.3.2 () at /lib64/libpthread.so.0
#1  0x00007f803d935160 in  () at /usr/lib64/libQt5WebEngineCore.so.5
#2  0x00007f803d922c0b in  () at /usr/lib64/libQt5WebEngineCore.so.5
#3  0x00007f803d922e85 in  () at /usr/lib64/libQt5WebEngineCore.so.5
#4  0x00007f803d91f777 in  () at /usr/lib64/libQt5WebEngineCore.so.5
#5  0x00007f803f0c9a4a in  () at /usr/lib64/libQt5WebEngineCore.so.5
#6  0x00007f803f0c9d61 in  () at /usr/lib64/libQt5WebEngineCore.so.5
#7  0x00007f803f0c9e52 in  () at /usr/lib64/libQt5WebEngineCore.so.5
#8  0x00007f803dac3062 in  () at /usr/lib64/libQt5WebEngineCore.so.5
#9  0x00007f803daaeb05 in  () at /usr/lib64/libQt5WebEngineCore.so.5
#10 0x00007f803dada940 in  () at /usr/lib64/libQt5WebEngineCore.so.5
#11 0x00007f803dad731e in  () at /usr/lib64/libQt5WebEngineCore.so.5
#12 0x00007f8046691724 in start_thread () at /lib64/libpthread.so.0
#13 0x00007f805091de8d in clone () at /lib64/libc.so.6

Thread 28 (Thread 0x7f80007be700 (LWP 2988)):
#0  0x00007f80466960ff in pthread_cond_wait@@GLIBC_2.3.2 () at /lib64/libpthread.so.0
#1  0x00007f803dad95d9 in  () at /usr/lib64/libQt5WebEngineCore.so.5
#2  0x00007f803dad9d9d in  () at /usr/lib64/libQt5WebEngineCore.so.5
#3  0x00007f803dada5c0 in  () at /usr/lib64/libQt5WebEngineCore.so.5
#4  0x00007f803dad731e in  () at /usr/lib64/libQt5WebEngineCore.so.5
#5  0x00007f8046691724 in start_thread () at /lib64/libpthread.so.0
#6  0x00007f805091de8d in clone () at /lib64/libc.so.6

Thread 27 (Thread 0x7f8008fc0700 (LWP 2987)):
#0  0x00007f805091530d in poll () at /lib64/libc.so.6
#1  0x00007f80361360a1 in  () at /usr/lib64/libpulse.so.0
#2  0x00007f803612776c in pa_mainloop_poll () at /usr/lib64/libpulse.so.0
#3  0x00007f8036127dde in pa_mainloop_iterate () at /usr/lib64/libpulse.so.0
#4  0x00007f8036127e90 in pa_mainloop_run () at /usr/lib64/libpulse.so.0
#5  0x00007f8036136006 in  () at /usr/lib64/libpulse.so.0
#6  0x00007f803010b408 in  () at /usr/lib64/pulseaudio/libpulsecommon-9.0.so
#7  0x00007f8046691724 in start_thread () at /lib64/libpthread.so.0
#8  0x00007f805091de8d in clone () at /lib64/libc.so.6

Thread 26 (Thread 0x7f80097c1700 (LWP 2986)):
#0  0x00007f80466960ff in pthread_cond_wait@@GLIBC_2.3.2 () at /lib64/libpthread.so.0
#1  0x00007f803dad010f in  () at /usr/lib64/libQt5WebEngineCore.so.5
#2  0x00007f803dad01e4 in  () at /usr/lib64/libQt5WebEngineCore.so.5
#3  0x00007f803dab2a7b in  () at /usr/lib64/libQt5WebEngineCore.so.5
#4  0x00007f803dac3062 in  () at /usr/lib64/libQt5WebEngineCore.so.5
#5  0x00007f803daaeb05 in  () at /usr/lib64/libQt5WebEngineCore.so.5
#6  0x00007f803dada940 in  () at /usr/lib64/libQt5WebEngineCore.so.5
#7  0x00007f803dad731e in  () at /usr/lib64/libQt5WebEngineCore.so.5
#8  0x00007f8046691724 in start_thread () at /lib64/libpthread.so.0
#9  0x00007f805091de8d in clone () at /lib64/libc.so.6

Thread 25 (Thread 0x7f8009fc2700 (LWP 2985)):
#0  0x00007f80466960ff in pthread_cond_wait@@GLIBC_2.3.2 () at /lib64/libpthread.so.0
#1  0x00007f803d4d5dc9 in  () at /usr/lib64/libQt5WebEngineCore.so.5
#2  0x00007f803dada5c0 in  () at /usr/lib64/libQt5WebEngineCore.so.5
#3  0x00007f803dad731e in  () at /usr/lib64/libQt5WebEngineCore.so.5
#4  0x00007f8046691724 in start_thread () at /lib64/libpthread.so.0
#5  0x00007f805091de8d in clone () at /lib64/libc.so.6

Thread 24 (Thread 0x7f800b7c5700 (LWP 2979)):
#0  0x00007f80466960ff in pthread_cond_wait@@GLIBC_2.3.2 () at /lib64/libpthread.so.0
#1  0x00007f803dad010f in  () at /usr/lib64/libQt5WebEngineCore.so.5
#2  0x00007f803dad01e4 in  () at /usr/lib64/libQt5WebEngineCore.so.5
#3  0x00007f803dab2a7b in  () at /usr/lib64/libQt5WebEngineCore.so.5
#4  0x00007f803dac3062 in  () at /usr/lib64/libQt5WebEngineCore.so.5
#5  0x00007f803daaeb05 in  () at /usr/lib64/libQt5WebEngineCore.so.5
#6  0x00007f803dada940 in  () at /usr/lib64/libQt5WebEngineCore.so.5
#7  0x00007f803dad731e in  () at /usr/lib64/libQt5WebEngineCore.so.5
#8  0x00007f8046691724 in start_thread () at /lib64/libpthread.so.0
#9  0x00007f805091de8d in clone () at /lib64/libc.so.6

Thread 23 (Thread 0x7f800bfc6700 (LWP 2978)):
#0  0x00007f805091139d in write () at /lib64/libc.so.6
#1  0x00007f80508a6780 in _IO_new_file_write () at /lib64/libc.so.6
#2  0x00007f80508a5da3 in new_do_write () at /lib64/libc.so.6
#3  0x00007f80508a6d86 in __GI__IO_file_xsputn () at /lib64/libc.so.6
#4  0x00007f805087c74b in buffered_vfprintf () at /lib64/libc.so.6
#5  0x00007f805087997e in vfprintf () at /lib64/libc.so.6
#6  0x00007f805092c043 in __fprintf_chk () at /lib64/libc.so.6
#7  0x00007f8034b73fbf in  () at /usr/lib64/libevent-2.0.so.5
#8  0x00007f8034b74197 in event_warn () at /usr/lib64/libevent-2.0.so.5
#9  0x00007f8034b78448 in  () at /usr/lib64/libevent-2.0.so.5
#10 0x00007f8034b64457 in event_base_loop () at /usr/lib64/libevent-2.0.so.5
#11 0x00007f803da8fc9e in  () at /usr/lib64/libQt5WebEngineCore.so.5
#12 0x00007f803dac3062 in  () at /usr/lib64/libQt5WebEngineCore.so.5
#13 0x00007f803daaeb05 in  () at /usr/lib64/libQt5WebEngineCore.so.5
#14 0x00007f803d1680e5 in  () at /usr/lib64/libQt5WebEngineCore.so.5
#15 0x00007f803d1681fb in  () at /usr/lib64/libQt5WebEngineCore.so.5
#16 0x00007f803dada940 in  () at /usr/lib64/libQt5WebEngineCore.so.5
#17 0x00007f803dad731e in  () at /usr/lib64/libQt5WebEngineCore.so.5
#18 0x00007f8046691724 in start_thread () at /lib64/libpthread.so.0
#19 0x00007f805091de8d in clone () at /lib64/libc.so.6

Thread 22 (Thread 0x7f800c7c7700 (LWP 2977)):
#0  0x00007f805092a38b in __lll_lock_wait_private () at /lib64/libc.so.6
#1  0x00007f805092bfe6 in __fprintf_chk () at /lib64/libc.so.6
#2  0x00007f8034b73fbf in  () at /usr/lib64/libevent-2.0.so.5
#3  0x00007f8034b74197 in event_warn () at /usr/lib64/libevent-2.0.so.5
#4  0x00007f8034b78448 in  () at /usr/lib64/libevent-2.0.so.5
#5  0x00007f8034b64457 in event_base_loop () at /usr/lib64/libevent-2.0.so.5
#6  0x00007f803da8fc9e in  () at /usr/lib64/libQt5WebEngineCore.so.5
#7  0x00007f803dac3062 in  () at /usr/lib64/libQt5WebEngineCore.so.5
#8  0x00007f803daaeb05 in  () at /usr/lib64/libQt5WebEngineCore.so.5
#9  0x00007f803d168065 in  () at /usr/lib64/libQt5WebEngineCore.so.5
#10 0x00007f803d16825b in  () at /usr/lib64/libQt5WebEngineCore.so.5
#11 0x00007f803dada940 in  () at /usr/lib64/libQt5WebEngineCore.so.5
#12 0x00007f803dad731e in  () at /usr/lib64/libQt5WebEngineCore.so.5
#13 0x00007f8046691724 in start_thread () at /lib64/libpthread.so.0
#14 0x00007f805091de8d in clone () at /lib64/libc.so.6

Thread 21 (Thread 0x7f800cfc8700 (LWP 2976)):
#0  0x00007f80466960ff in pthread_cond_wait@@GLIBC_2.3.2 () at /lib64/libpthread.so.0
#1  0x00007f803dad010f in  () at /usr/lib64/libQt5WebEngineCore.so.5
#2  0x00007f803dad01e4 in  () at /usr/lib64/libQt5WebEngineCore.so.5
#3  0x00007f803dab2a7b in  () at /usr/lib64/libQt5WebEngineCore.so.5
#4  0x00007f803dac3062 in  () at /usr/lib64/libQt5WebEngineCore.so.5
#5  0x00007f803daaeb05 in  () at /usr/lib64/libQt5WebEngineCore.so.5
#6  0x00007f803d167fe5 in  () at /usr/lib64/libQt5WebEngineCore.so.5
#7  0x00007f803d16824b in  () at /usr/lib64/libQt5WebEngineCore.so.5
#8  0x00007f803dada940 in  () at /usr/lib64/libQt5WebEngineCore.so.5
#9  0x00007f803dad731e in  () at /usr/lib64/libQt5WebEngineCore.so.5
#10 0x00007f8046691724 in start_thread () at /lib64/libpthread.so.0
#11 0x00007f805091de8d in clone () at /lib64/libc.so.6

Thread 20 (Thread 0x7f800d7c9700 (LWP 2975)):
#0  0x00007f80466960ff in pthread_cond_wait@@GLIBC_2.3.2 () at /lib64/libpthread.so.0
#1  0x00007f803dad010f in  () at /usr/lib64/libQt5WebEngineCore.so.5
#2  0x00007f803dad01e4 in  () at /usr/lib64/libQt5WebEngineCore.so.5
#3  0x00007f803dab2a7b in  () at /usr/lib64/libQt5WebEngineCore.so.5
#4  0x00007f803dac3062 in  () at /usr/lib64/libQt5WebEngineCore.so.5
#5  0x00007f803daaeb05 in  () at /usr/lib64/libQt5WebEngineCore.so.5
#6  0x00007f803d167f65 in  () at /usr/lib64/libQt5WebEngineCore.so.5
#7  0x00007f803d16823b in  () at /usr/lib64/libQt5WebEngineCore.so.5
#8  0x00007f803dada940 in  () at /usr/lib64/libQt5WebEngineCore.so.5
#9  0x00007f803dad731e in  () at /usr/lib64/libQt5WebEngineCore.so.5
#10 0x00007f8046691724 in start_thread () at /lib64/libpthread.so.0
#11 0x00007f805091de8d in clone () at /lib64/libc.so.6

Thread 19 (Thread 0x7f800dfca700 (LWP 2974)):
#0  0x00007f805092a38b in __lll_lock_wait_private () at /lib64/libc.so.6
#1  0x00007f805092bfe6 in __fprintf_chk () at /lib64/libc.so.6
#2  0x00007f8034b73fbf in  () at /usr/lib64/libevent-2.0.so.5
#3  0x00007f8034b74197 in event_warn () at /usr/lib64/libevent-2.0.so.5
#4  0x00007f8034b78448 in  () at /usr/lib64/libevent-2.0.so.5
#5  0x00007f8034b64457 in event_base_loop () at /usr/lib64/libevent-2.0.so.5
#6  0x00007f803da8fc9e in  () at /usr/lib64/libQt5WebEngineCore.so.5
#7  0x00007f803dac3062 in  () at /usr/lib64/libQt5WebEngineCore.so.5
#8  0x00007f803daaeb05 in  () at /usr/lib64/libQt5WebEngineCore.so.5
#9  0x00007f803d167ee5 in  () at /usr/lib64/libQt5WebEngineCore.so.5
#10 0x00007f803d16822b in  () at /usr/lib64/libQt5WebEngineCore.so.5
#11 0x00007f803dada940 in  () at /usr/lib64/libQt5WebEngineCore.so.5
#12 0x00007f803dad731e in  () at /usr/lib64/libQt5WebEngineCore.so.5
#13 0x00007f8046691724 in start_thread () at /lib64/libpthread.so.0
#14 0x00007f805091de8d in clone () at /lib64/libc.so.6

Thread 18 (Thread 0x7f800e7cb700 (LWP 2973)):
#0  0x00007f80466960ff in pthread_cond_wait@@GLIBC_2.3.2 () at /lib64/libpthread.so.0
#1  0x00007f803dad010f in  () at /usr/lib64/libQt5WebEngineCore.so.5
#2  0x00007f803dad01e4 in  () at /usr/lib64/libQt5WebEngineCore.so.5
#3  0x00007f803dab2a7b in  () at /usr/lib64/libQt5WebEngineCore.so.5
#4  0x00007f803dac3062 in  () at /usr/lib64/libQt5WebEngineCore.so.5
#5  0x00007f803daaeb05 in  () at /usr/lib64/libQt5WebEngineCore.so.5
#6  0x00007f803d167e65 in  () at /usr/lib64/libQt5WebEngineCore.so.5
#7  0x00007f803d16821b in  () at /usr/lib64/libQt5WebEngineCore.so.5
#8  0x00007f803dada940 in  () at /usr/lib64/libQt5WebEngineCore.so.5
#9  0x00007f803dad731e in  () at /usr/lib64/libQt5WebEngineCore.so.5
#10 0x00007f8046691724 in start_thread () at /lib64/libpthread.so.0
#11 0x00007f805091de8d in clone () at /lib64/libc.so.6

Thread 17 (Thread 0x7f800efcc700 (LWP 2965)):
#0  0x00007f80466964a8 in pthread_cond_timedwait@@GLIBC_2.3.2 () at /lib64/libpthread.so.0
#1  0x00007f803dacf9b2 in  () at /usr/lib64/libQt5WebEngineCore.so.5
#2  0x00007f803dadd3f6 in  () at /usr/lib64/libQt5WebEngineCore.so.5
#3  0x00007f803dadd5e6 in  () at /usr/lib64/libQt5WebEngineCore.so.5
#4  0x00007f803dad731e in  () at /usr/lib64/libQt5WebEngineCore.so.5
#5  0x00007f8046691724 in start_thread () at /lib64/libpthread.so.0
#6  0x00007f805091de8d in clone () at /lib64/libc.so.6

Thread 16 (Thread 0x7f800f7cd700 (LWP 2964)):
#0  0x00007f80466964a8 in pthread_cond_timedwait@@GLIBC_2.3.2 () at /lib64/libpthread.so.0
#1  0x00007f803dacf9b2 in  () at /usr/lib64/libQt5WebEngineCore.so.5
#2  0x00007f803dadd3f6 in  () at /usr/lib64/libQt5WebEngineCore.so.5
#3  0x00007f803dadd5e6 in  () at /usr/lib64/libQt5WebEngineCore.so.5
#4  0x00007f803dad731e in  () at /usr/lib64/libQt5WebEngineCore.so.5
#5  0x00007f8046691724 in start_thread () at /lib64/libpthread.so.0
#6  0x00007f805091de8d in clone () at /lib64/libc.so.6

Thread 15 (Thread 0x7f800ffce700 (LWP 2963)):
#0  0x00007f80466960ff in pthread_cond_wait@@GLIBC_2.3.2 () at /lib64/libpthread.so.0
#1  0x00007f803dad010f in  () at /usr/lib64/libQt5WebEngineCore.so.5
#2  0x00007f803dad01e4 in  () at /usr/lib64/libQt5WebEngineCore.so.5
#3  0x00007f803dab2a7b in  () at /usr/lib64/libQt5WebEngineCore.so.5
#4  0x00007f803dac3062 in  () at /usr/lib64/libQt5WebEngineCore.so.5
#5  0x00007f803daaeb05 in  () at /usr/lib64/libQt5WebEngineCore.so.5
#6  0x00007f803dada940 in  () at /usr/lib64/libQt5WebEngineCore.so.5
#7  0x00007f803dad731e in  () at /usr/lib64/libQt5WebEngineCore.so.5
#8  0x00007f8046691724 in start_thread () at /lib64/libpthread.so.0
#9  0x00007f805091de8d in clone () at /lib64/libc.so.6

Thread 14 (Thread 0x7f8010a03700 (LWP 2962)):
#0  0x00007f805092a38b in __lll_lock_wait_private () at /lib64/libc.so.6
#1  0x00007f805092bfe6 in __fprintf_chk () at /lib64/libc.so.6
#2  0x00007f8034b73fbf in  () at /usr/lib64/libevent-2.0.so.5
#3  0x00007f8034b74197 in event_warn () at /usr/lib64/libevent-2.0.so.5
#4  0x00007f8034b78448 in  () at /usr/lib64/libevent-2.0.so.5
#5  0x00007f8034b64457 in event_base_loop () at /usr/lib64/libevent-2.0.so.5
#6  0x00007f803da8fc9e in  () at /usr/lib64/libQt5WebEngineCore.so.5
#7  0x00007f803dac3062 in  () at /usr/lib64/libQt5WebEngineCore.so.5
#8  0x00007f803daaeb05 in  () at /usr/lib64/libQt5WebEngineCore.so.5
#9  0x00007f803dada940 in  () at /usr/lib64/libQt5WebEngineCore.so.5
#10 0x00007f803dad731e in  () at /usr/lib64/libQt5WebEngineCore.so.5
#11 0x00007f8046691724 in start_thread () at /lib64/libpthread.so.0
#12 0x00007f805091de8d in clone () at /lib64/libc.so.6

Thread 13 (Thread 0x7f8017bc1700 (LWP 2942)):
#0  0x00007f805091530d in poll () at /lib64/libc.so.6
#1  0x00007f8045e77314 in  () at /usr/lib64/libglib-2.0.so.0
#2  0x00007f8045e7742c in g_main_context_iteration () at /usr/lib64/libglib-2.0.so.0
#3  0x00007f80512211ab in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () at /usr/lib64/libQt5Core.so.5
#4  0x00007f80511cebfb in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () at /usr/lib64/libQt5Core.so.5
#5  0x00007f8051009f5a in QThread::exec() () at /usr/lib64/libQt5Core.so.5
#6  0x00007f805100ea29 in  () at /usr/lib64/libQt5Core.so.5
#7  0x00007f8046691724 in start_thread () at /lib64/libpthread.so.0
#8  0x00007f805091de8d in clone () at /lib64/libc.so.6

Thread 12 (Thread 0x7f80183c2700 (LWP 2939)):
#0  0x00007f805091133d in read () at /lib64/libc.so.6
#1  0x00007f8045eb7750 in  () at /usr/lib64/libglib-2.0.so.0
#2  0x00007f8045e76e49 in g_main_context_check () at /usr/lib64/libglib-2.0.so.0
#3  0x00007f8045e772a8 in  () at /usr/lib64/libglib-2.0.so.0
#4  0x00007f8045e7742c in g_main_context_iteration () at /usr/lib64/libglib-2.0.so.0
#5  0x00007f80512211ab in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () at /usr/lib64/libQt5Core.so.5
#6  0x00007f80511cebfb in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () at /usr/lib64/libQt5Core.so.5
#7  0x00007f8051009f5a in QThread::exec() () at /usr/lib64/libQt5Core.so.5
#8  0x00007f805100ea29 in  () at /usr/lib64/libQt5Core.so.5
#9  0x00007f8046691724 in start_thread () at /lib64/libpthread.so.0
#10 0x00007f805091de8d in clone () at /lib64/libc.so.6

Thread 11 (Thread 0x7f801926c700 (LWP 2938)):
#0  0x00007f805091530d in poll () at /lib64/libc.so.6
#1  0x00007f8045e77314 in  () at /usr/lib64/libglib-2.0.so.0
#2  0x00007f8045e7742c in g_main_context_iteration () at /usr/lib64/libglib-2.0.so.0
#3  0x00007f80512211ab in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () at /usr/lib64/libQt5Core.so.5
#4  0x00007f80511cebfb in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () at /usr/lib64/libQt5Core.so.5
#5  0x00007f8051009f5a in QThread::exec() () at /usr/lib64/libQt5Core.so.5
#6  0x00007f805100ea29 in  () at /usr/lib64/libQt5Core.so.5
#7  0x00007f8046691724 in start_thread () at /lib64/libpthread.so.0
#8  0x00007f805091de8d in clone () at /lib64/libc.so.6

Thread 10 (Thread 0x7f801a47d700 (LWP 2937)):
#0  0x00007f805091133d in read () at /lib64/libc.so.6
#1  0x00007f8045eb7750 in  () at /usr/lib64/libglib-2.0.so.0
#2  0x00007f8045e76e49 in g_main_context_check () at /usr/lib64/libglib-2.0.so.0
#3  0x00007f8045e772a8 in  () at /usr/lib64/libglib-2.0.so.0
#4  0x00007f8045e7742c in g_main_context_iteration () at /usr/lib64/libglib-2.0.so.0
#5  0x00007f80512211ab in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () at /usr/lib64/libQt5Core.so.5
#6  0x00007f80511cebfb in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () at /usr/lib64/libQt5Core.so.5
#7  0x00007f8051009f5a in QThread::exec() () at /usr/lib64/libQt5Core.so.5
#8  0x00007f804f8b1295 in  () at /usr/lib64/libQt5DBus.so.5
#9  0x00007f805100ea29 in  () at /usr/lib64/libQt5Core.so.5
#10 0x00007f8046691724 in start_thread () at /lib64/libpthread.so.0
#11 0x00007f805091de8d in clone () at /lib64/libc.so.6

Thread 9 (Thread 0x7f801b41e700 (LWP 2936)):
#0  0x00007f80466960ff in pthread_cond_wait@@GLIBC_2.3.2 () at /lib64/libpthread.so.0
#1  0x00007f8026238233 in  () at /usr/lib64/dri/swrast_dri.so
#2  0x00007f8026237db7 in  () at /usr/lib64/dri/swrast_dri.so
#3  0x00007f8046691724 in start_thread () at /lib64/libpthread.so.0
#4  0x00007f805091de8d in clone () at /lib64/libc.so.6

Thread 8 (Thread 0x7f801bc1f700 (LWP 2935)):
#0  0x00007f80466960ff in pthread_cond_wait@@GLIBC_2.3.2 () at /lib64/libpthread.so.0
#1  0x00007f8026238233 in  () at /usr/lib64/dri/swrast_dri.so
#2  0x00007f8026237db7 in  () at /usr/lib64/dri/swrast_dri.so
#3  0x00007f8046691724 in start_thread () at /lib64/libpthread.so.0
#4  0x00007f805091de8d in clone () at /lib64/libc.so.6

Thread 7 (Thread 0x7f801c420700 (LWP 2934)):
#0  0x00007f80466960ff in pthread_cond_wait@@GLIBC_2.3.2 () at /lib64/libpthread.so.0
#1  0x00007f8026238233 in  () at /usr/lib64/dri/swrast_dri.so
#2  0x00007f8026237db7 in  () at /usr/lib64/dri/swrast_dri.so
#3  0x00007f8046691724 in start_thread () at /lib64/libpthread.so.0
#4  0x00007f805091de8d in clone () at /lib64/libc.so.6

Thread 6 (Thread 0x7f801cc21700 (LWP 2933)):
#0  0x00007f80466960ff in pthread_cond_wait@@GLIBC_2.3.2 () at /lib64/libpthread.so.0
#1  0x00007f8026238233 in  () at /usr/lib64/dri/swrast_dri.so
#2  0x00007f8026237db7 in  () at /usr/lib64/dri/swrast_dri.so
#3  0x00007f8046691724 in start_thread () at /lib64/libpthread.so.0
#4  0x00007f805091de8d in clone () at /lib64/libc.so.6

Thread 5 (Thread 0x7f801d422700 (LWP 2932)):
#0  0x00007f80466960ff in pthread_cond_wait@@GLIBC_2.3.2 () at /lib64/libpthread.so.0
#1  0x00007f8026238233 in  () at /usr/lib64/dri/swrast_dri.so
#2  0x00007f8026237db7 in  () at /usr/lib64/dri/swrast_dri.so
#3  0x00007f8046691724 in start_thread () at /lib64/libpthread.so.0
#4  0x00007f805091de8d in clone () at /lib64/libc.so.6

Thread 4 (Thread 0x7f801dc23700 (LWP 2931)):
#0  0x00007f80466960ff in pthread_cond_wait@@GLIBC_2.3.2 () at /lib64/libpthread.so.0
#1  0x00007f8026238233 in  () at /usr/lib64/dri/swrast_dri.so
#2  0x00007f8026237db7 in  () at /usr/lib64/dri/swrast_dri.so
#3  0x00007f8046691724 in start_thread () at /lib64/libpthread.so.0
#4  0x00007f805091de8d in clone () at /lib64/libc.so.6

Thread 3 (Thread 0x7f801e424700 (LWP 2930)):
#0  0x00007f80466960ff in pthread_cond_wait@@GLIBC_2.3.2 () at /lib64/libpthread.so.0
#1  0x00007f8026238233 in  () at /usr/lib64/dri/swrast_dri.so
#2  0x00007f8026237db7 in  () at /usr/lib64/dri/swrast_dri.so
#3  0x00007f8046691724 in start_thread () at /lib64/libpthread.so.0
#4  0x00007f805091de8d in clone () at /lib64/libc.so.6

Thread 2 (Thread 0x7f801ec25700 (LWP 2929)):
#0  0x00007f80466960ff in pthread_cond_wait@@GLIBC_2.3.2 () at /lib64/libpthread.so.0
#1  0x00007f8026238233 in  () at /usr/lib64/dri/swrast_dri.so
#2  0x00007f8026237db7 in  () at /usr/lib64/dri/swrast_dri.so
#3  0x00007f8046691724 in start_thread () at /lib64/libpthread.so.0
#4  0x00007f805091de8d in clone () at /lib64/libc.so.6

Thread 1 (Thread 0x7f80537de940 (LWP 2926)):
[KCrash Handler]
#6  0x00007f8052178444 in  () at /usr/lib64/libQt5Widgets.so.5
#7  0x00007f80530d84de in  () at /usr/lib64/libkmailprivate.so.5
#8  0x00007f80530d57e3 in ConfigModuleWithTabs::load() () at /usr/lib64/libkmailprivate.so.5
#9  0x00007f8048bb77a9 in  () at /usr/lib64/libKF5ConfigWidgets.so.5
#10 0x00007f80511fbe26 in QObject::event(QEvent*) () at /usr/lib64/libQt5Core.so.5
#11 0x00007f8051f12e9b in QWidget::event(QEvent*) () at /usr/lib64/libQt5Widgets.so.5
#12 0x00007f8051ed128c in QApplicationPrivate::notify_helper(QObject*, QEvent*) () at /usr/lib64/libQt5Widgets.so.5
#13 0x00007f8051ed58ea in QApplication::notify(QObject*, QEvent*) () at /usr/lib64/libQt5Widgets.so.5
#14 0x00007f80511d0be5 in QCoreApplication::notifyInternal2(QObject*, QEvent*) () at /usr/lib64/libQt5Core.so.5
#15 0x00007f80511d29ca in QCoreApplicationPrivate::sendPostedEvents(QObject*, int, QThreadData*) () at /usr/lib64/libQt5Core.so.5
#16 0x00007f8051221b03 in  () at /usr/lib64/libQt5Core.so.5
#17 0x00007f8045e77134 in g_main_context_dispatch () at /usr/lib64/libglib-2.0.so.0
#18 0x00007f8045e77388 in  () at /usr/lib64/libglib-2.0.so.0
#19 0x00007f8045e7742c in g_main_context_iteration () at /usr/lib64/libglib-2.0.so.0
#20 0x00007f805122118c in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () at /usr/lib64/libQt5Core.so.5
#21 0x00007f80511cebfb in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () at /usr/lib64/libQt5Core.so.5
#22 0x00007f80511d6ae6 in QCoreApplication::exec() () at /usr/lib64/libQt5Core.so.5
#23 0x00000000004039cd in  ()
#24 0x00007f8050851725 in __libc_start_main () at /lib64/libc.so.6
#25 0x0000000000403ba9 in _start ()

Reported using DrKonqi
Comment 1 Laurent Montel 2018-03-04 11:28:20 UTC
it works fine here.
but qt5.6.2 + kmail 5.5.2  is very old.
Please verify with new version
Comment 2 Dieter Fuchs 2018-03-04 12:25:59 UTC
Hi Laurent,

thanks for your quick response. Please let me know the versions of your KDE components (KMail, Plasma, Frameworks, Qt) that do not show this bug.

However, I have also observed this bug in the current "openSuse Tumbleweed" distribution that is using KMail 5.7.2, Plasma 5.12.2, Frameworks 5.43.0, Qt 5.10.0 and Kernel 4.15.6.

I know that the current openSuse distribution (Leap 42.3) does not use the most recent KDE components, but Leap 42.3 uses Plasma 5.8 LTS. I don't know what has caused this issue, but if it is still something within Plasma 5.8 LTS, it should be resolved. 

Many thanks in advance.

Regards,
Dieter
Comment 3 Laurent Montel 2018-03-04 12:42:14 UTC
(In reply to Dieter Fuchs from comment #2)
> Hi Laurent,
> 
> thanks for your quick response. Please let me know the versions of your KDE
> components (KMail, Plasma, Frameworks, Qt) that do not show this bug.

master qt5.10

> 
> However, I have also observed this bug in the current "openSuse Tumbleweed"
> distribution that is using KMail 5.7.2, Plasma 5.12.2, Frameworks 5.43.0, Qt
> 5.10.0 and Kernel 4.15.6.

=> backtrace against it please.

> 
> I know that the current openSuse distribution (Leap 42.3) does not use the
> most recent KDE components, but Leap 42.3 uses Plasma 5.8 LTS. I don't know
> what has caused this issue, but if it is still something within Plasma 5.8
> LTS, it should be resolved. 

I don't see why it's plasma 5.8 which creates this problem.

but kmail 5.5.2 is not maintain so if there is a crash distro must fix it as I can't test it .

Regards

> 
> Many thanks in advance.
> 
> Regards,
> Dieter
Comment 4 Dieter Fuchs 2018-03-04 20:16:37 UTC
Created attachment 111185 [details]
Backtrace
Comment 5 Dieter Fuchs 2018-03-04 20:17:57 UTC
Created attachment 111186 [details]
Konsole output
Comment 6 Dieter Fuchs 2018-03-04 20:26:27 UTC
Hi Laurent,

see the attached gdb backtrace and console output. It is related to the current "openSuse Tumbleweed" distribution with KMail 5.7.2, Plasma 5.12.2, Frameworks 5.43.0, and Qt 5.10.0 installed.

Regards,
Dieter
Comment 7 Christoph Feck 2018-03-15 03:25:33 UTC
*** Bug 391119 has been marked as a duplicate of this bug. ***
Comment 8 Christoph Feck 2018-03-15 03:28:45 UTC
*** Bug 391077 has been marked as a duplicate of this bug. ***
Comment 9 Christoph Feck 2018-03-15 03:28:53 UTC
*** Bug 391224 has been marked as a duplicate of this bug. ***
Comment 10 Christoph Feck 2018-03-15 03:31:05 UTC
All duplicates from openSUSE Leap 42.3.
Comment 11 Fabian Vogt 2018-03-15 08:58:07 UTC
Bug found - a patch breaking ABI was added to messagelib in 42.3 and TW.